from math import cos, tan, pi, sqrt

# Constants
material_thickness = 0.208 # inches
speaker_hole_radius = 0.175 / 2.0 # inches
speaker_hole_loc = 2.70 / 2 + speaker_hole_radius  # inches
speaker_center_radius = 2.65 / 2.0 # inches
speaker_oct_padding = 0.5 # inches
tab_width = 0.5
tab_squish = 0.02

front_panel_width = 2.0 # inches

pcb_width = 1.75 # inches
pcb_length = 2.80 # inches

border = 0.2

# Calculated intermediate values
octagon_height = 2 * (speaker_hole_loc + speaker_oct_padding)
octagon_side = octagon_height / 2 * tan(2*pi/16) * 2
octagon_side_inset = octagon_side * (1 - 2 * material_thickness / octagon_height)
octagon_center_offset = octagon_height / 2 + front_panel_width / 2
box_depth = octagon_height - 2 * material_thickness # to leave room for tabs
top_slat_width = octagon_side
